"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListRasterDataCollections = void 0;
const ListRasterDataCollectionsCommand_1 = require("../commands/ListRasterDataCollectionsCommand");
const SageMakerGeospatialClient_1 = require("../SageMakerGeospatialClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListRasterDataCollectionsCommand_1.ListRasterDataCollectionsCommand(input), ...args);
};
async function* paginateListRasterDataCollections(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        if (config.client instanceof SageMakerGeospatialClient_1.SageMakerGeospatialClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected SageMakerGeospatial | SageMakerGeospatialClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateListRasterDataCollections = paginateListRasterDataCollections;
