import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  GetEarthObservationJobInput,
  GetEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface GetEarthObservationJobCommandInput
  extends GetEarthObservationJobInput {}
export interface GetEarthObservationJobCommandOutput
  extends GetEarthObservationJobOutput,
    __MetadataBearer {}
export declare class GetEarthObservationJobCommand extends $Command<
  GetEarthObservationJobCommandInput,
  GetEarthObservationJobCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: GetEarthObservationJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetEarthObservationJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetEarthObservationJobCommandInput,
    GetEarthObservationJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
