import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  ListEarthObservationJobInput,
  ListEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface ListEarthObservationJobsCommandInput
  extends ListEarthObservationJobInput {}
export interface ListEarthObservationJobsCommandOutput
  extends ListEarthObservationJobOutput,
    __MetadataBearer {}
export declare class ListEarthObservationJobsCommand extends $Command<
  ListEarthObservationJobsCommandInput,
  ListEarthObservationJobsCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: ListEarthObservationJobsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListEarthObservationJobsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListEarthObservationJobsCommandInput,
    ListEarthObservationJobsCommandOutput
  >;
  private serialize;
  private deserialize;
}
